Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class AxisComponentPositions

    java.lang.Object
      com.eltima.chart.AxisComponentPositions

    public class AxisComponentPositions

extends java.lang.Object

The AnimationModel class.

Copyright: Copyright (c) 2000-2007

Company: Eltima Software

Version:
  5.1
Author:
  [SoftInfinity Dpt.]

Field Summary
`int` | `axisBeginInset`
`int` | `axisEndInset`
`Position` | `axisPos`
`Position` | `firstArrowPos`
`Position` | `insideMajorTickPos`
`Position` | `insideMinorTickPos`
`Position` | `labelPos`
`Position` | `outsideMajorTickPos`
`Position` | `outsideMinorTickPos`
`Position` | `secondArrowPos`
`Position` | `titlePos`
`int` | `weight`

Constructor Summary
`AxisComponentPositions()` Creates new instance of AxisComponentPositions.

Method Summary
`void` | `clear()` Sets the axis component positions and weight to 0.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### titlePos

    public Position titlePos

### labelPos

    public Position labelPos

### outsideMajorTickPos

    public Position outsideMajorTickPos

### outsideMinorTickPos

    public Position outsideMinorTickPos

### axisPos

    public Position axisPos

### insideMajorTickPos

    public Position insideMajorTickPos

### insideMinorTickPos

    public Position insideMinorTickPos

### firstArrowPos

    public Position firstArrowPos

### secondArrowPos

    public Position secondArrowPos

### weight

    public int weight

### axisBeginInset

    public int axisBeginInset

### axisEndInset

    public int axisEndInset

Constructor Detail

### AxisComponentPositions

    public AxisComponentPositions()

  Creates new instance of AxisComponentPositions.

Method Detail

### clear

    public void clear()

  Sets the axis component positions and weight to 0.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Eltima Software. All Rights Reserved.